<template>
	<view class="content">
		<home v-if="tabbarActive === 'home'" />
		<exhibitor v-if="tabbarActive === 'exhibitor'" />
		<activity v-if="tabbarActive === 'activity'" />
		<tab-bar :active.sync="tabbarActive"></tab-bar>
	</view>
</template>

<script>
	import TabBar from '@/components/layout/tab-bar.vue'
	import Home from '@/pages/index/home.vue'
	import Exhibitor from '@/pages/exhibitor/index.vue'
	import Activity from '@/pages/activity/index.vue'

	export default {
		options: {
			// styleIsolation: 'shared'
		},
		components: {
			TabBar,
			Home,
			Exhibitor,
			Activity
		},
		data() {
			return {
				tabbarActive: 'home'
			}
		},
		created() {},
		methods: {
			onClickSearch() {

			}
		}
	}
</script>

<style lang="scss" scoped>
</style>